"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _mongoose = _interopRequireDefault(require("mongoose"));

var socialSchema = _mongoose.default.Schema({
  identity_id: _mongoose.default.Schema.ObjectId,
  social_type: Number,
  social_id: String,
  created_at: Date
});

socialSchema.pre('save', function (next) {
  var now = new Date();
  if (!this.created_at) this.created_at = now;
  next();
});

var _default = _mongoose.default.model('auth_social', socialSchema);

exports.default = _default;