"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _moment = _interopRequireDefault(require("moment"));

var Account = function Account(id, identity, account, type) {
  var createdAt = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : null;
  (0, _classCallCheck2.default)(this, Account);
  this.id = id;
  this.identity_id = identity;
  this.account = account;
  this.type = type;

  if (!createdAt) {
    var now = (0, _moment.default)().format('YYYY-MM-DD HH:mm:ss');
    this.created_at = now;
  } else {
    this.created_at = createdAt;
  }
};

exports.default = Account;