"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _moment = _interopRequireDefault(require("moment"));

var Hash = function Hash(id, identity, account, hash, type) {
  var createdAt = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : null;
  (0, _classCallCheck2.default)(this, Hash);
  this.id = id;
  this.identity_id = identity;
  this.account_id = account;
  this.hash = hash;
  this.type = type;

  if (!createdAt) {
    var now = (0, _moment.default)().format('YYYY-MM-DD HH:mm:ss');
    this.created_at = now;
  } else {
    this.created_at = createdAt;
  }
};

exports.default = Hash;