"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _moment = _interopRequireDefault(require("moment"));

var _typeorm = _interopRequireDefault(require("../../typeorm"));

var Identity =
/*#__PURE__*/
function () {
  function Identity(id, activated, enabled, blocked, blockedAt, createdAt, updatedAt, deletedAt) {
    (0, _classCallCheck2.default)(this, Identity);
    this.id = id || 0;
    this.activated = activated;
    this.enabled = enabled;
    this.blocked = blocked;
    this.blocked_at = blockedAt;
    this.deleted_at = deletedAt;

    if (!createdAt) {
      var now = (0, _moment.default)().format('YYYY-MM-DD HH:mm:ss');
      this.created_at = now;
      this.updated_at = now;
    } else {
      this.created_at = createdAt;
      this.updated_at = updatedAt;
    }
  }

  (0, _createClass2.default)(Identity, [{
    key: "setData",
    value: function setData(data) {
      (0, _typeorm.default)().setData(this, data, {
        activated: 1,
        enabled: 1,
        blocked: 0,
        blocked_at: null,
        deleted_at: null
      });
    }
  }]);
  return Identity;
}();

exports.default = Identity;