"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeorm = require("typeorm");

var _account = _interopRequireDefault(require("../models/account"));

module.exports = new _typeorm.EntitySchema({
  tableName: 'auth_account',
  name: 'Account',
  target: _account.default,
  columns: {
    id: {
      primary: true,
      type: 'int',
      generated: true
    },
    identity_id: {
      type: 'int',
      unsigned: true
    },
    account: {
      type: 'varchar'
    },
    type: {
      type: 'smallint'
    },
    created_at: {
      type: 'timestamp',
      nullable: true
    }
  }
});