"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeorm = require("typeorm");

var _social = _interopRequireDefault(require("../models/social"));

module.exports = new _typeorm.EntitySchema({
  tableName: 'auth_social',
  name: 'Social',
  target: _social.default,
  columns: {
    id: {
      primary: true,
      type: 'int',
      generated: true
    },
    identity_id: {
      type: 'int',
      unsigned: true
    },
    social_type: {
      type: 'smallint'
    },
    social_id: {
      type: 'varchar',
      length: 255
    },
    created_at: {
      type: 'timestamp',
      nullable: true
    }
  }
});