"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _mongoose = _interopRequireDefault(require("mongoose"));

var deviceSchema = _mongoose.default.Schema({
  identity_id: _mongoose.default.Schema.ObjectId,
  refresh_token: String,
  device_id: String,
  device_type: Number,
  device_push: String,
  device_language: String,
  is_guest: Boolean,
  disabled: Boolean,
  created_at: Date
});

deviceSchema.pre('save', function (next) {
  var now = new Date();
  if (!this.created_at) this.created_at = now;
  next();
});

var _default = _mongoose.default.model('auth_device', deviceSchema);

exports.default = _default;