"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _mongoose = _interopRequireDefault(require("mongoose"));

/*
1: Lost password
2: Activate
*/
var hashSchema = _mongoose.default.Schema({
  identity_id: _mongoose.default.Schema.ObjectId,
  account_id: _mongoose.default.Schema.ObjectId,
  hash: String,
  type: Number,
  created_at: Date
});

hashSchema.pre('save', function (next) {
  var now = new Date();
  if (!this.created_at) this.created_at = now;
  next();
});

var _default = _mongoose.default.model('auth_hash', hashSchema);

exports.default = _default;