"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _mongoose = _interopRequireDefault(require("mongoose"));

var passwordSchema = _mongoose.default.Schema({
  identity_id: _mongoose.default.Schema.ObjectId,
  password: String,
  expired_at: Date,
  created_at: Date
});

passwordSchema.pre('save', function (next) {
  var now = new Date();
  if (!this.created_at) this.created_at = now;
  next();
});

var _default = _mongoose.default.model('auth_password', passwordSchema);

exports.default = _default;