"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _bluebird = _interopRequireDefault(require("bluebird"));

var _password = _interopRequireDefault(require("./../models/password"));

var passwordRepository;

var PasswordRepository =
/*#__PURE__*/
function () {
  function PasswordRepository() {
    (0, _classCallCheck2.default)(this, PasswordRepository);
  }

  (0, _createClass2.default)(PasswordRepository, [{
    key: "findOneById",
    value: function findOneById(id) {
      return new _bluebird.default(function (resolve) {
        _password.default.findById(id).exec(function (err, result) {
          resolve(result);
        });
      });
    }
  }, {
    key: "findByPassword",
    value: function findByPassword(password) {
      return new _bluebird.default(function (resolve) {
        _password.default.find({
          'password': password
        }).exec(function (err, results) {
          resolve(results);
        });
      });
    }
  }, {
    key: "findAllByIdentity",
    value: function findAllByIdentity(identityId) {
      return new _bluebird.default(function (resolve) {
        _password.default.find({
          'identity_id': identityId
        }).exec(function (err, results) {
          resolve(results);
        });
      });
    }
  }]);
  return PasswordRepository;
}();

function _default() {
  if (!passwordRepository) passwordRepository = new PasswordRepository();
  return passwordRepository;
}