"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CreateAuthHashTable1542032045841 = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var CreateAuthHashTable1542032045841 =
/*#__PURE__*/
function () {
  function CreateAuthHashTable1542032045841() {
    (0, _classCallCheck2.default)(this, CreateAuthHashTable1542032045841);
  }

  (0, _createClass2.default)(CreateAuthHashTable1542032045841, [{
    key: "up",
    value: function () {
      var _up = (0, _asyncToGenerator2.default)(
      /*#__PURE__*/
      _regenerator.default.mark(function _callee(queryRunner) {
        return _regenerator.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _context.next = 2;
                return queryRunner.query(' \
            CREATE TABLE `auth_hash`  ( \
            `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, \
            `identity_id` int(11) UNSIGNED NOT NULL, \
            `account_id` int(11) UNSIGNED NULL DEFAULT NULL, \
            `hash` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL, \
            `type` smallint(6) NOT NULL, \
            `created_at` timestamp(0) NULL DEFAULT NULL, \
            PRIMARY KEY (`id`) USING BTREE, \
            INDEX `identityId`(`identity_id`) USING BTREE, \
            INDEX `accountId`(`account_id`) USING BTREE, \
            CONSTRAINT `hashAccountRelation` FOREIGN KEY (`account_id`) REFERENCES `auth_account` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT, \
            CONSTRAINT `hashIdentityRelation` FOREIGN KEY (`identity_id`) REFERENCES `auth_identity` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT \
            ) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci; \
        ');

              case 2:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function up(_x) {
        return _up.apply(this, arguments);
      }

      return up;
    }()
  }, {
    key: "down",
    value: function () {
      var _down = (0, _asyncToGenerator2.default)(
      /*#__PURE__*/
      _regenerator.default.mark(function _callee2(queryRunner) {
        return _regenerator.default.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                _context2.next = 2;
                return queryRunner.query('DROP TABLE IF EXISTS `auth_hash`;');

              case 2:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2, this);
      }));

      function down(_x2) {
        return _down.apply(this, arguments);
      }

      return down;
    }()
  }]);
  return CreateAuthHashTable1542032045841;
}();

exports.CreateAuthHashTable1542032045841 = CreateAuthHashTable1542032045841;