"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _moment = _interopRequireDefault(require("moment"));

var Device = function Device(id, identity) {
  var refresh = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '';
  var deviceId = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 'unknown';
  var deviceType = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 0;
  var devicePush = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : null;
  var deviceLanguage = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : null;
  var isGuest = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : false;
  var disabled = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : false;
  var createdAt = arguments.length > 9 && arguments[9] !== undefined ? arguments[9] : null;
  (0, _classCallCheck2.default)(this, Device);
  this.id = id;
  this.identity_id = identity;
  this.refresh_token = refresh;
  this.device_id = deviceId;
  this.device_type = deviceType;
  this.device_push = devicePush;
  this.device_language = deviceLanguage;
  this.is_guest = isGuest;
  this.disabled = disabled;

  if (!createdAt) {
    var now = (0, _moment.default)().format('YYYY-MM-DD HH:mm:ss');
    this.created_at = now;
  } else {
    this.created_at = createdAt;
  }
};

exports.default = Device;