"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _typeorm = require("typeorm");

var _account = _interopRequireDefault(require("./../models/account"));

var accountRepository;

var AccountRepository =
/*#__PURE__*/
function () {
  function AccountRepository() {
    (0, _classCallCheck2.default)(this, AccountRepository);
  }

  (0, _createClass2.default)(AccountRepository, [{
    key: "findOneById",
    value: function findOneById(id) {
      if (!id) return;
      return (0, _typeorm.getManager)().getRepository(_account.default).createQueryBuilder('account').where('account.id = :id', {
        id: id
      }).getOne();
    }
  }, {
    key: "findByAccount",
    value: function findByAccount(account) {
      if (!account) return;
      return (0, _typeorm.getManager)().getRepository(_account.default).createQueryBuilder('account').where('account.account = :account', {
        account: account
      }).getOne().then(function (many) {
        return many;
      });
    }
  }]);
  return AccountRepository;
}();

function _default() {
  if (!accountRepository) accountRepository = new AccountRepository();
  return accountRepository;
}