"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _typeorm = require("typeorm");

var _identity = _interopRequireDefault(require("./../models/identity"));

var identityRepository;

var IdentityRepository =
/*#__PURE__*/
function () {
  function IdentityRepository() {
    (0, _classCallCheck2.default)(this, IdentityRepository);
  }

  (0, _createClass2.default)(IdentityRepository, [{
    key: "findOneById",
    value: function findOneById(id) {
      if (!id) return;
      return (0, _typeorm.getManager)().createQueryBuilder().select("identity").from(_identity.default, "identity").where("identity.id = :id", {
        id: id
      }).getOne();
    }
  }]);
  return IdentityRepository;
}();

function _default() {
  if (!identityRepository) identityRepository = new IdentityRepository();
  return identityRepository;
}