"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _typeorm = require("typeorm");

var _password = _interopRequireDefault(require("./../models/password"));

var passwordRepository;

var PasswordRepository =
/*#__PURE__*/
function () {
  function PasswordRepository() {
    (0, _classCallCheck2.default)(this, PasswordRepository);
  }

  (0, _createClass2.default)(PasswordRepository, [{
    key: "findOneById",
    value: function findOneById(id) {
      if (!id) return;
      return (0, _typeorm.getManager)().getRepository(_password.default).createQueryBuilder('password').where("password.id = :id", {
        id: id
      }).getOne();
    }
  }, {
    key: "findByPassword",
    value: function findByPassword(password) {
      if (!password) return;
      return (0, _typeorm.getManager)().getRepository(_password.default).createQueryBuilder('password').where("password.password = :password", {
        password: password
      }).getMany();
    }
  }, {
    key: "findAllByIdentity",
    value: function findAllByIdentity(identityId) {
      if (!identityId) return;
      return (0, _typeorm.getManager)().getRepository(_password.default).createQueryBuilder('password').where("password.identity_id = :identity", {
        identity: identityId
      }).getMany();
    }
  }]);
  return PasswordRepository;
}();

function _default() {
  if (!passwordRepository) passwordRepository = new PasswordRepository();
  return passwordRepository;
}