"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeorm = require("typeorm");

var _hash = _interopRequireDefault(require("../models/hash"));

module.exports = new _typeorm.EntitySchema({
  tableName: 'auth_hash',
  name: 'Hash',
  target: _hash.default,
  columns: {
    id: {
      primary: true,
      type: 'int',
      generated: true
    },
    identity_id: {
      type: 'int',
      unsigned: true
    },
    account_id: {
      type: 'int',
      unsigned: true,
      nullable: true
    },
    hash: {
      type: 'varchar'
    },
    type: {
      type: 'smallint'
    },
    created_at: {
      type: 'timestamp',
      nullable: true
    }
  }
});