"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeorm = require("typeorm");

var _identity = _interopRequireDefault(require("../models/identity"));

module.exports = new _typeorm.EntitySchema({
  tableName: 'auth_identity',
  name: 'Identity',
  target: _identity.default,
  columns: {
    id: {
      primary: true,
      type: 'int',
      generated: true
    },
    activated: {
      type: 'smallint',
      default: 1
    },
    enabled: {
      type: 'smallint',
      default: 1
    },
    blocked: {
      type: 'smallint',
      default: 1
    },
    blocked_at: {
      type: 'timestamp',
      nullable: true
    },
    created_at: {
      type: 'timestamp',
      nullable: true
    },
    updated_at: {
      type: 'timestamp',
      nullable: true
    },
    deleted_at: {
      type: 'timestamp',
      nullable: true
    }
  }
});