"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeorm = require("typeorm");

var _password = _interopRequireDefault(require("../models/password"));

module.exports = new _typeorm.EntitySchema({
  tableName: 'auth_password',
  name: 'Password',
  target: _password.default,
  columns: {
    id: {
      primary: true,
      type: 'int',
      generated: true
    },
    identity_id: {
      type: 'int',
      unsigned: true
    },
    password: {
      type: 'varchar',
      length: 255
    },
    expired_at: {
      type: 'timestamp',
      nullable: true
    },
    created_at: {
      type: 'timestamp',
      nullable: true
    }
  }
});