"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _jwt = _interopRequireDefault(require("./../services/token/jwt"));

function _default(type) {
  switch (type.toLowerCase()) {
    case "jwt":
      return new _jwt.default();
      break;

    default:
      console.error("ERROR: Token generator: " + type + " not supported");
  }

  return null;
}