"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.middleware = middleware;
exports.action = action;

var _authentication = require("./../authentication");

var _settings = require("./settings");

function middleware(type, req) {
  var middleware = (0, _settings.settingsByUrl)(req, (0, _authentication.authConfig)('functions'))['middleware'];
  return middleware && middleware[type] || null;
}

function action(type, req, action) {
  if (action) return action;
  var middleware = (0, _settings.settingsByUrl)(req, (0, _authentication.authConfig)('functions'))['actions'];
  return middleware && middleware[type] || null;
}